<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap Flex</title>

    <!-- CSS stylesheet -->
    <link rel="stylesheet" href="./style.css"/>
    <!-- CSS BS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
</head>
<body>
    <div class="text-center">

        <h2>Bootstrap Flex</h2>
        <p>
            Use the d-flex class to create a flex container and transform
            direct children into flex items
        </p>

        <h2>Centering Elements</h2>
        <div class="bg-secondary p-3 d-flex justify-content-center align-items-center"style="height: 500px;">
            <div class="h-25 p-3 bg-success">Flex Item A</div>
            <div class="h-25 p-3 bg-warning">Flex Item A</div>
            <div class="h-25 p-3 bg-danger">Flex Item A</div>
        
        </div>
    </div>

    <h2>Flex Row</h2>
    <div class="bg-dark p-3 d-flex flex-grow">
        <div class="h-25 p-3 bg-sucess">Flex Item A</div>
        <div class="h-25 p-3 bg-warning">Flex Item A</div>
        <div class="h-25 p-3 bg-danger">Flex Item A</div>
    </div>

    <h2>Flex Row Reverse</h2>
    
    
    <!-- script bs -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
</body>
</html>